Subject: [Megaco] descriptor order and error descriptors

From: Troy Cauble <[email-masked]>
Date: Wed, 01 Dec 2004 12:46:05 -0500

Hi,

I recently ran into the exchange below.
I think it points out a weakness in the protocol
w.r.t. associating descriptor level errors with
the appropriate descriptor.

I could find nothing in the docs that say a response's
descriptors should be in the same order as the request's
descriptors.

I could find nothing in the docs that say the AuditValue's
response's descriptors should be in the same order as the
request tokens.  In fact, the V2 doc has examples of AuditValue
returning descriptors in an order other than the request tokens.

I didn't check to see if there are similar issues in the other
lists that an errorDescriptor can be used in.  It seems likely
though.

Forcing the order to be maintained and using that for context
is ugly, IMO.  But it's probably the minimal change solution.
The real problem is lack of info in the errorDescriptor.
(Relying on the text of the error descriptor field
would also be a bad idea, IMO.)

-troy

MEGACO/1 [135.112.125.109]:55555
    Transaction = 50007 {
       Context = - {AuditValue = aaln/2 {
          Audit{ Packages, Statistics , DigitMap, Signals, Events, Media
    }}}}

MEGACO/1 [135.112.125.214]
Reply = 50007 {
   Context = - {
     AuditValue = aaln/2 {
       Media {
         TerminationState {
           Buffer = OFF},
         Stream = 1 {
           LocalControl {

           }
         }
       },
       Events = 2222 {
         al/of
       },
       Error = 447 { "Descriptor not legal in this command" },
       Error = 447 { "Descriptor not legal in this command" },
       Packages {
         g-1,
         tonegen-1,
         tonedet-1,
         dg-1,
         dd-1,
         cg-1,
         cd-1,
         al-1,
         ct-1,
         rtp-1,
         tdmc-1,
         ftmd-1,
         ctyp-1,
         an-1,
         bau-1,
         aau-1,
         xal-1

       },
       Error = 501 { "Not implemented" }
     }
   }
}

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco